# $Revision: 1.12 $, $Date: 2007/02/13 06:46:53 $
Summary:	Cluster Abstraction Library
Summary(pl.UTF-8):	Biblioteka abstrakcji klastra
Name:		magma
Version:	1.03.00
Release:	1
Epoch:		0
License:	GPL/LGPL
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	8eea23df70d2007c4fb8c234cfea49cf
Patch0:		%{name}-fix.patch
Patch1:		%{name}-optflags.patch
URL:		http://sources.redhat.com/cluster/
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Cluster Abstraction Library.

%description -l pl.UTF-8
Biblioteka abstrakcji klastra.

%package devel
Summary:	Header files and development documentation for MAGMA
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty dla biblioteki MAGMA
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for MAGMA.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty dla biblioteki MAGMA.

%package static
Summary:	Static MAGMA library
Summary(pl.UTF-8):	Statyczna biblioteka MAGMA
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static MAGMA library.

%description static -l pl.UTF-8
Statyczna biblioteka MAGMA.

%prep
%setup -q -n cluster-%{version}
%patch0 -p1
%patch1 -p1

%build
cd %{name}
./configure \
	--incdir=%{_includedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir}

%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	OPTCFLAGS="%{rpmcflags}%{?debug: -DDEBUG}"

%install
rm -rf $RPM_BUILD_ROOT
cd %{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/libmagma*.so.*.*
%{_mandir}/man8/magma_tool.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmagma*.so
%{_includedir}/magma*.h
%{_mandir}/man3/clu_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmagma*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: magma.spec,v $
Revision 1.12  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.10  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.9  2006/08/03 02:02:36  sparky
- killed perl -pi, added optflags patch

Revision 1.8  2006/05/20 07:58:22  qboosh
- updated fix patch, dropped -Wno-unused (not needed now)

Revision 1.7  2006/05/15 00:11:45  zbyniu
- up to 1.02.00

Revision 1.6  2005/11/05 23:22:25  arekm
- 1.01.00 version

Revision 1.5  2005/04/14 19:11:08  qboosh
- zlib is not needed

Revision 1.4  2005/04/14 19:10:05  qboosh
- updated to 1.0-pre21, added fix patch, use optflags

Revision 1.3  2004/11/11 19:48:19  saq
- mass commit: using %%{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.2  2004/06/27 11:53:27  qboosh
- pl desc

Revision 1.1  2004/06/26 23:45:27  arekm
- initial pld release
